Transfer ticket between participants

PATCH/participants/transfer-ticket

Transfers a ticket from one participant to another. This is an authenticated route.

  • The x-fingerprint-id header is required. Without it, the API returns 401 with the message Fingerprint must be provided.

Headers

  • x-api-keystringrequired

    Api key provided on integrations tab in Easyflow platform.

  • x-api-secretstringrequired

    Api Secret provided on integrations tab in Easyflow platform.

  • x-fingerprint-idstringrequired

    Device fingerprint of the request. Without it, the API returns 401 with the message Fingerprint must be provided.

    Example:928371

Request bodyrequired

Content typeapplication/jsonobject

  • ticketIdstring · uuidrequired
  • fromParticipantstring · uuidrequired
  • toParticipantstring · uuidrequired

Responses

200Ticket successfully transferred.

Ticket successfully transferred.

Content typeapplication/jsonobject

  • statusCodeinteger

    Example:200

  • dataobject
    Show child attributesHide child attributes
    • transferredboolean
400If the provided parameter is invalid, the API will return the following error response:

If the provided parameter is invalid, the API will return the following error response:

Content typeapplication/jsonobject

  • messagestring

    Invalid param: []

    Example:Invalid param: []

  • errorstring

    Bad Request

    Example:Bad Request

  • statusCodeinteger

    400

    Example:400

  • errorCodestring

    Code that identifies the error. Present only on some errors.

401The credential is missing or invalid, or the x-fingerprint-id header is missing (message Fingerprint must be provided).

The credential is missing or invalid, or the x-fingerprint-id header is missing (message Fingerprint must be provided).

Content typeapplication/jsonobject

  • messagestring

    Invalid field

    Example:Unauthorized

  • errorstring

    Unauthorized

    Example:Unauthorized

  • statusCodeinteger

    401

    Example:401

403If the request is forbidden, the API will return the following error response:

If the request is forbidden, the API will return the following error response:

Content typeapplication/jsonobject

  • messagestring

    Forbidden resource

    Example:Forbidden resource

  • errorstring

    Forbidden

    Example:Forbidden

  • statusCodeinteger

    403

    Example:403

500If an unexpected condition occurs and the server cannot process the request, the API will return the following error response. This response has no error field.

If an unexpected condition occurs and the server cannot process the request, the API will return the following error response. This response has no error field.

Content typeapplication/jsonobject

  • statusCodeinteger

    HTTP status code.

    Example:500

  • messagestring

    Explanation of the error.

    Example:Internal Server Error